%define oname ROX-Session
%define version 0.1.24
%define name rox-session
Name:		%name
Version:	%version
Release:	1mdk
Summary:	Session manager for the ROX graphical desktop
Group:		Graphical desktop/Other
License:	GPL
URL:		http://rox.sourceforge.net/rox_session.php3
Source:		http://prdownloads.sourceforge.net/rox/%{oname}-%{version}.tar.bz2
Source1:	rox-session.bz2
Source2:	%name-48.png
Source3:	%name-32.png
Source4:	%name-16.png
Patch:		rox-session-0.1.23-oroborox.patch.bz2
Requires:	rox
Requires:	dbus-python
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libgtk+2.0-devel >= 2.0.1
BuildRequires:  libxml2-devel
BuildRequires:  dbus-devel

%description
ROX-Session is a really simple session manager. It loads, runs any
programs you asked it to, and then quits when you run it a second time
(thus ending your session). It does not display any windows until you
ask it to quit.

The first time you run it it will offer to make itself your session
manager (so that you'll get a ROX desktop when you log in).

%prep
%setup -q -n %oname-%version
%patch -p1

%build
export CFLAGS="$RPM_OPT_FLAGS"
./%oname/AppRun --compile

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_libdir/apps
cp -a ./%oname $RPM_BUILD_ROOT%{_libdir}/apps
rm -rf %buildroot%_libdir/apps/%oname/src

#rox session entry
mkdir -p %{buildroot}%{_sysconfdir}/X11/wmsession.d
cat << EOF > %{buildroot}%{_sysconfdir}/X11/wmsession.d/17Rox
NAME=ROX
ICON=%name.png
DESC=Session manager for the ROX desktop
EXEC=%{_bindir}/rox-session
SCRIPT:
exec %{_bindir}/rox-session
EOF

#session script
mkdir -p %buildroot%_bindir
bzcat %SOURCE1 > %buildroot%_bindir/%name

#session icons
mkdir -p %buildroot{%_iconsdir,%_miconsdir,%_liconsdir}
install -m 644 %SOURCE2 %buildroot%_liconsdir/%name.png
install -m 644 %SOURCE3 %buildroot%_iconsdir/%name.png
install -m 644 %SOURCE4 %buildroot%_miconsdir/%name.png

for gmo in %buildroot%_libdir/apps/%oname/Messages/*.gmo;do
echo "%lang($(basename $gmo|sed s/.gmo//)) $(echo $gmo|sed s!%buildroot!!)" >> %name.lang
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
%make_session

%postun
%make_session

%files -f %name.lang
%defattr (-,root,root)
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/17Rox
%attr(755,root,root) %{_bindir}/rox-session
%doc %_libdir/apps/%oname/Help
%dir %_libdir/apps/%oname
%_libdir/apps/%oname/.DirIcon
%_libdir/apps/%oname/AppRun
%_libdir/apps/%oname/Linux-*
%_libdir/apps/%oname/Login
%_libdir/apps/%oname/RunROX
%_libdir/apps/%oname/Setup*
%_libdir/apps/%oname/Styles
%_libdir/apps/%oname/*.*
%_libdir/apps/%oname/images
%dir %_libdir/apps/%oname/Messages
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Fri Aug 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.24-1mdk
- fix source URL
- New release 0.1.24

* Fri Jun 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.23-1mdk
- patch to prefer oroborox if installed
- New release 0.1.23

* Tue Apr 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.22-2mdk
- update source1

* Mon Apr 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.22-1mdk
- fix file listing
- requires dbus
- cvs snapshot

* Sun Oct 26 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.21-1mdk
- new version

* Thu Jun 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.20-1mdk
- drop the patch
- new version

* Wed Jun  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.19-2mdk
- patch: only show available window managers

* Thu Apr 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.19-1mdk
- new version

* Sat Mar  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.18-2mdk
- fix url
- integrate session manager scripts

* Fri Feb 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.18-1mdk
- initial package
